获取 intuneBrandingProfile
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
读取 intuneBrandingProfile 对象的属性和关系。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementApps.Read.All、DeviceManagementApps.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementApps.Read.All、DeviceManagementApps.ReadWrite.All |
HTTP 请求
GET /deviceManagement/intuneBrandingProfiles/{intuneBrandingProfileId}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 intuneBrandingProfile 对象。
示例
请求
下面是一个请求示例。
GET https://graph.microsoft.com/beta/deviceManagement/intuneBrandingProfiles/{intuneBrandingProfileId}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 2284
{
"value": {
"@odata.type": "#microsoft.graph.intuneBrandingProfile",
"id": "fcd6136c-136c-fcd6-6c13-d6fc6c13d6fc",
"profileName": "Profile Name value",
"profileDescription": "Profile Description value",
"isDefaultProfile": true,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"displayName": "Display Name value",
"themeColor": {
"@odata.type": "microsoft.graph.rgbColor",
"r": 1,
"g": 1,
"b": 1
},
"showLogo": true,
"showDisplayNameNextToLogo": true,
"themeColorLogo": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"lightBackgroundLogo": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"landingPageCustomizedImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"contactITName": "Contact ITName value",
"contactITPhoneNumber": "Contact ITPhone Number value",
"contactITEmailAddress": "Contact ITEmail Address value",
"contactITNotes": "Contact ITNotes value",
"onlineSupportSiteUrl": "https://example.com/onlineSupportSiteUrl/",
"onlineSupportSiteName": "Online Support Site Name value",
"privacyUrl": "https://example.com/privacyUrl/",
"customPrivacyMessage": "Custom Privacy Message value",
"customCanSeePrivacyMessage": "Custom Can See Privacy Message value",
"customCantSeePrivacyMessage": "Custom Cant See Privacy Message value",
"isRemoveDeviceDisabled": true,
"isFactoryResetDisabled": true,
"companyPortalBlockedActions": [
{
"@odata.type": "microsoft.graph.companyPortalBlockedAction",
"platform": "androidForWork",
"ownerType": "company",
"action": "remove"
}
],
"showAzureADEnterpriseApps": true,
"showOfficeWebApps": true,
"sendDeviceOwnershipChangePushNotification": true,
"enrollmentAvailability": "availableWithoutPrompts",
"disableClientTelemetry": true,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
]
}
}
反馈
提交和查看相关反馈